# Builder

data class Builder (var long_url: String )(source)

Configures the creation parameters of a Bitlink.

See the Bit.ly API for more information.

## Constructors

Builder
Link copied to clipboard
constructor(long_url: String )

## Properties

deeplinks
Link copied to clipboard
var deeplinks : CreateDeeplinks
domain
Link copied to clipboard
var domain : String
group_guid
Link copied to clipboard
var group_guid : String
long_url
Link copied to clipboard
var long_url : String
tags
Link copied to clipboard
var tags : Array < String >
title
Link copied to clipboard
var title : String
toJson
Link copied to clipboard
var toJson : Boolean

## Functions

build
Link copied to clipboard
fun build (): CreateConfig

Builds the configuration.

deeplinks
Link copied to clipboard
fun deeplinks (deeplinks: CreateDeeplinks ): CreateConfig.Builder
domain
Link copied to clipboard
fun domain (domain: String ): CreateConfig.Builder

A branded short domain or `bit.ly` by default.

groupGuid
Link copied to clipboard
fun groupGuid (group_guid: String ): CreateConfig.Builder

Always include a specific group and custom domain in your shorten calls.

longUrl
Link copied to clipboard
fun longUrl (long_url: String ): CreateConfig.Builder

The long URL.

tags
Link copied to clipboard
fun tags (tags: Array < String >): CreateConfig.Builder
title
Link copied to clipboard
fun title (title: String ): CreateConfig.Builder
toJson
Link copied to clipboard
fun toJson (toJson: Boolean ): CreateConfig.Builder

Returns the full JSON response if `true`.